Update an adviser split Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/adviser-split/{adviserSplit_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • adviserSplit_uuid string Required
application/json

Body

  • name string

    The name of the adviser split

  • firm_percentage number(float)

    The percentage held by the firm on a charge

    Minimum value is 0.0, maximum value is 100.0.

  • adviser_percentage number(float)

    The percentage held by the selling adviser on a charge

    Minimum value is 0.0, maximum value is 100.0.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • firm_percentage integer
    • adviser_percentage integer
    • type string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
PUT /api/v1/adviser-split/{adviserSplit_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/adviser-split/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Trainee Rate","firm_percentage":20.0,"adviser_percentage":15.5}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Trainee Rate",
  "firm_percentage": 20.0,
  "adviser_percentage": 15.5
}
Response examples (200)
[
  {
    "uuid": "05b4a430-0542-4ae4-983f-4e72a1b17252",
    "created_at": "2026-08-07T15:29:26+01:00",
    "updated_at": "2026-08-07T15:29:26+01:00",
    "name": "Trainee Rate",
    "firm_percentage": 30,
    "adviser_percentage": 30,
    "type": "adviser"
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}